Обновление на 3.6.5 ошибка Error displaying the error page: Application Instantiation Error: Class '

  • 11 Ответов
  • 609 Просмотров

0 Пользователей и 1 Гость просматривают эту тему.

*

Оффлайн RumusBin

Была у меня версия Joomla 3.5.1 , к стати в Панели управления она отображалась как "неизвестная версия" но при переходе показывалась, что стоит 3.5.1 и есть новая 3.6.2, Обновиться "автоматом" я не мог, решил попробовать руками, как и делал с 3.4... до 3.5.1 Значит скачал Joomla! 3.6.5 Upgrade Package (.zip) с Официального! сайта Joomla, распаковал его на компе и закинул на Хостинг с заменой. (Такую же операцию я проделывал при обновлении до 3.5.1) И вуаля, белый экран с ошибкой Error displaying the error page: Application Instantiation Error: Class 'JVersion' not found
 Помогите!((
Что я уже накосячил, ведь в "описании" данного пакета обновления написано "This package is for performing updates from Joomla! 2.5 and previous 3.x releases to 3.6.5", значит все должно было пройти ровно!

*

Оффлайн voland

  • ********
  • 9334
  • [+]520 / [-]101
  • СКАЙП утерян! Пишите в телеграм @volandku
    • Просмотр профиля
    • webstudio.pro
Повторить.
В этот раз сначала закинуть, потом распаковать

*

Оффлайн dmitry_stas

Цитировать
from Joomla! 2.5 and previous 3.x releases to 3.6.5
так а там же изменения в базе... его ж нельзя просто распаковать на сервере, этого недостаточно. у вас уже миксовая версия с вероятностью 99.99%, при чем я так понимаю уже не первый раз накладки происходят. проблемы вполне ожидаемы.
Тут дарят бакс просто за регистрацию! Успей получить!
Все советы на форуме раздаю бесплатно, то есть даром. Индивидуально бесплатно консультирую только по вопросам стоимости индивидуальных консультаций

*

Оффлайн RumusBin

так а там же изменения в базе... его ж нельзя просто распаковать на сервере, этого недостаточно. у вас уже миксовая версия с вероятностью 99.99%, при чем я так понимаю уже не первый раз накладки происходят. проблемы вполне ожидаемы.
А как тогда обновлять? Или все пропало?

*

Оффлайн dmitry_stas

как обновлять - устанавливать пакеты. теперь даже не знаю, что там у вас вообще творится. как хотя бы понять, какая версия у вас? наверняка микс. начиная с какого обновления вы так делаете - не устанавливаете, а просто копируете?
Тут дарят бакс просто за регистрацию! Успей получить!
Все советы на форуме раздаю бесплатно, то есть даром. Индивидуально бесплатно консультирую только по вопросам стоимости индивидуальных консультаций

*

Оффлайн RumusBin

как обновлять - устанавливать пакеты. теперь даже не знаю, что там у вас вообще творится. как хотя бы понять, какая версия у вас? наверняка микс. начиная с какого обновления вы так делаете - не устанавливаете, а просто копируете?
только один раза так делал, с версии 3.4 (не помню) на 3.5.1 (но по моему сначала 3.5.0 ставил, а поверх уже 3.5.1) как то так ((

*

Оффлайн RumusBin

Тут другая проблема, пытаюсь поднять бэкап чере Akeba kickstart, а он на этапе распаковки( буквально через 5 сек после начала) выдает "Произошла ошибка

expected expression, got ')' " Но сайт из бэкапа я уже поднимал, не было такого При том, что брал сохраненные версии как последнюю так и до нее. Все тоже самое! Что происходит??

*

Оффлайн dmitry_stas

ну если 1 раз - то может не все так плохо. то обновление могло и не затрагивать базу. тут /administrator/index.php?option=com_installer&view=database нет ошибок по структуре? если нет - то сделайте как написал
voland. или вообще весь дистрибутив (без папки installation) залейте поверх, чтоб уже наверняка.
Тут дарят бакс просто за регистрацию! Успей получить!
Все советы на форуме раздаю бесплатно, то есть даром. Индивидуально бесплатно консультирую только по вопросам стоимости индивидуальных консультаций

*

Оффлайн RumusBin

ну если 1 раз - то может не все так плохо. то обновление могло и не затрагивать базу. тут /administrator/index.php?option=com_installer&view=database нет ошибок по структуре? если нет - то сделайте как написал
voland. или вообще весь дистрибутив (без папки installation) залейте поверх, чтоб уже наверняка.
некуда уже "поверх" заливать, сайт был удален, и при попытке восстановить из бэкапа возникла проблема. О ней я написал выше!

*

Оффлайн RumusBin

ну если 1 раз - то может не все так плохо. то обновление могло и не затрагивать базу. тут /administrator/index.php?option=com_installer&view=database нет ошибок по структуре? если нет - то сделайте как написал
voland. или вообще весь дистрибутив (без папки installation) залейте поверх, чтоб уже наверняка.

то есть не Upgrade Package, а именно Установочній дистрибутив без папки "Инсталл" залить с заменой? Я правильно понял?

*

Оффлайн dmitry_stas

Тут дарят бакс просто за регистрацию! Успей получить!
Все советы на форуме раздаю бесплатно, то есть даром. Индивидуально бесплатно консультирую только по вопросам стоимости индивидуальных консультаций

*

Оффлайн RumusBin

Скажите, может быть, кто то все таки сталкивался, Почему в панели управления отображается "Неизвестная версия Joomla!" ? Все обновился, до версии 3.6.5 Вроде бы все работает, ну как на первый взгляд, уже неделя прошла после обновления. Но все же эта надпись напрягает!